import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

class AppColors {
  AppColors._builder();
  //Todo : Add your color values here

  static const ToolbarGradientStart = Color(0xFF01847E);
  static const ToolbarGradientEnd = Color(0xFF33B3A9);
  static const AccentBright2 = Color(0xFFEEFFFE);
  static const YellowHighlight = Color(0xFFFFE996);
  static const GreenHighlight = Color(0xFF30B38A);
  static const GreenHighlightDark = Color(0xFF258D6C);

  static const GreenLight = Color(0xFF30B38A);
  static const Background = Color(0xFFF7FBF6);
  static const GrayOutline = Color(0xFFC6C6C6);
  static const AccentOutline = Color(0xFF60C0B9);
  static const Transparent = Color(0x00FFFFFF);
  static const ToolbarShadow = Color(0xFF7A7A7A);
  static const White = Color(0xFFFFFFFF);
  static const Black = Color(0xFF000000);
  static const BackgroundGray = Color(0xFFF0F2F4);
  static const BackgroundGrayDark = Color(0xFF1D1E30);
  static const BackgroundWhite = Color(0xFFFFFFFF);
  static const AccentBlueDark = Color(0xFF686DDB);
  static const AccentBlueBright = Color(0xFF007FBF);
  static const LightBlue = Color(0xFFE1EBF4);
  static const FormErrorRed = Color(0xFFFc5A5A);
  static const PendingPink = Color(0xFF7C7C);
  static const FormErrorRedDark = Color(0xffc14c4c);

  static const ShadowGrayLight = Color(0xFFBDB0B0);
  static const GreenHighlight2 = Color(0xFF24D28D);
  static const AndroidGreen2 = Color(0xFF2CC475);
  static const BackgroundOrange = Color(0xFFF4B696);

  //Text
  static const TextWhite = Color(0xFFFFFFFF);
  static const TextAccent = Color(0xFF36827C);
  static const TextBlue = Color(0xFF0062FF);
  static const TextAccentBright = Color(0xFF60C0B9);
  static const TextBrown = Color(0xFF63513D);
  static const TextAccentBright2 = Color(0xFFA1F0EA);
  static const TextLightGray = Color(0xFFB0A8A8);
  static const TextLightGray2 = Color(0xFF6C6A73);
  static const TextGray = Color(0xFF9599B6);
  static const TextGreen = Color(0xFF30B38A);
  static const TextGreen2 = Color(0xFF6FCF97);
  static const TextDarkGray = Color(0xFF6C6A73);
  static const TextBlack = Color(0xFF2B2D3D);
  static const TextDarkBlack = Color(0xFF171725);
  static const TextYellow = Color(0xFFDEC66B);
  static const TextOrange = Color(0xFFF2994A);
  static const TextRed = Color(0xFFFF0000);
  static const ButtonAccent = Color(0xFF30B38A);
  static const ButtonAccentGradientStart = Color(0xFF1BB2AB);
  static const ButtonAccentGradientEnd = Color(0xFF3DC5AC);
  static const ButtonAccentBright = Color(0xFFD4F2F0);

  static const AndroidGreen = Color(0xFF67E08E);
  static const AppleBlack = Color(0xFF3F3F3F);

  static const GrayCard = Color(0xFFFFFFFF);
  static const GrayCardDark = Color(0xFF424B6B);

  static const ToolbarBackground = Color(0xFFFFFFFF);
  static const ToolbarBackgroundDark = Color(0xFF2D2E4A);

  static const GrayLine = Color(0xFFF1F1F5);
  static const GrayLineLight = Color(0xFFD4D6E1);
  static const GrayLineDark = Color(0xFF242534);

  static const Chart1 = Color(0xFFFFC542);
  static const Chart2 = Color(0xFFFF974A);
  static const Chart3 = Color(0xFF3DD598);
  static const Chart4 = Color(0xFF0062FF);

  static const AccentBright = Color(0xFF0062FF);
  static const AccentDark = Color(0xFF014ED0);
  static const AccentBrightShadow = Color(0x200062FF);

  static var BackgroundBlueTransparent = Color(0xFF0062FF).withOpacity(0.2);
  static var BackgroundOrangeTransparent = Color(0xFFF4B696).withOpacity(0.2);
  static var BackgroundGreenTransparent = Color(0xFF67E08E).withOpacity(0.2);
  static var BackgroundRedTransparent = Color(0xFFFF0000).withOpacity(0.2);

}
