import 'package:flutter/material.dart';
import 'package:layout_form_builder/util.dart';
import 'package:layout_form_builder/widget_prop_change_notifier.dart';
import 'package:provider/provider.dart';
import 'app_module.dart';
import 'page_route_mgmt.dart';
import 'package:flutter_modular/flutter_modular.dart';

void main() => runApp(ModularApp(module: AppModule(), child: AppWidget()));

class AppWidget extends StatelessWidget {
  // This widget is the root of your application.

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
            title: 'Layout and Form Builder',
            debugShowCheckedModeBanner: false,
            initialRoute: "/",
            theme: ThemeData(
                primaryColor: HexColor.fromHex('ee1c25'),
                buttonColor: HexColor.fromHex('ee1c25'),
                fontFamily: 'Lato'))
        .modular();

    // PageRouteMgmt routeMgmt = PageRouteMgmt(context);
    // return MaterialApp(
    //   title: 'Layout and Form Builder',
    //   debugShowCheckedModeBanner: false,
    //   //routes: routeMgmt.getRoutes(),
    //   onGenerateRoute: (settings) {
    //     return routeMgmt.onGenerateRoute(settings);
    //   },
    //   initialRoute: routeMgmt.getInitRoute(),
    //   theme: ThemeData(
    //       // This is the theme of your application.
    //       //
    //       // Try running your application with "flutter run". You'll see the
    //       // application has a blue toolbar. Then, without quitting the app, try
    //       // changing the primarySwatch below to Colors.green and then invoke
    //       // "hot reload" (press "r" in the console where you ran "flutter run",
    //       // or simply save your changes to "hot reload" in a Flutter IDE).
    //       // Notice that the counter didn't reset back to zero; the application
    //       // is not restarted.
    //       primaryColor: HexColor.fromHex('ee1c25'),
    //       buttonColor: HexColor.fromHex('ee1c25'),
    //       fontFamily: 'Lato'),
    // );
  }
}
